Add output.xml with only INFO logging leve 08/18808/5
authorPeter Mikus <pmikus@cisco.com>
Thu, 11 Apr 2019 08:36:06 +0000 (08:36 +0000)
committerTibor Frank <tifrank@cisco.com>
Mon, 15 Apr 2019 09:51:41 +0000 (09:51 +0000)
- Useful for post-processing.

Change-Id: I6f71087f8c6f6d66fd86207d5df9abd10e94f855
Signed-off-by: Peter Mikus <pmikus@cisco.com>
resources/libraries/bash/function/common.sh
resources/libraries/python/PapiHistory.py
resources/libraries/python/VppCounters.py

index 8796026..eaad2ab 100644 (file)
@@ -580,6 +580,14 @@ function run_pybot () {
     pybot "${all_options[@]}" "${GENERATED_DIR}/tests/"
     PYBOT_EXIT_STATUS="$?"
     set -e
     pybot "${all_options[@]}" "${GENERATED_DIR}/tests/"
     PYBOT_EXIT_STATUS="$?"
     set -e
+
+    # Generate INFO level output_info.xml for post-processing.
+    all_options=("--loglevel" "INFO")
+    all_options+=("--log" "none")
+    all_options+=("--report" "none")
+    all_options+=("--output" "${ARCHIVE_DIR}/output_info.xml")
+    all_options+=("${ARCHIVE_DIR}/output.xml")
+    rebot "${all_options[@]}"
     popd || die "Change directory operation failed."
 }
 
     popd || die "Change directory operation failed."
 }
 
index 78279f5..6a4f913 100644 (file)
@@ -104,7 +104,7 @@ class PapiHistory(object):
         history_list = DICT__DUTS_PAPI_HISTORY[node['host']]
         if not history_list:
             history_list = ("No PAPI command executed", )
         history_list = DICT__DUTS_PAPI_HISTORY[node['host']]
         if not history_list:
             history_list = ("No PAPI command executed", )
-        logger.trace(
+        logger.info(
             "{0} PAPI command history:\n{1}\n".format(
                 node['host'], "\n".join(history_list)))
 
             "{0} PAPI command history:\n{1}\n".format(
                 node['host'], "\n".join(history_list)))
 
index ff4ce29..b65b58c 100644 (file)
@@ -75,6 +75,7 @@ class VppCounters(object):
         """
         vat = VatExecutor()
         vat.execute_script("show_runtime.vat", node, json_out=False)
         """
         vat = VatExecutor()
         vat.execute_script("show_runtime.vat", node, json_out=False)
+        logger.info(vat.get_script_stdout())
         vat.script_should_have_passed()
 
     @staticmethod
         vat.script_should_have_passed()
 
     @staticmethod
@@ -97,6 +98,7 @@ class VppCounters(object):
         """
         vat = VatExecutor()
         vat.execute_script("show_runtime_verbose.vat", node, json_out=False)
         """
         vat = VatExecutor()
         vat.execute_script("show_runtime_verbose.vat", node, json_out=False)
+        logger.info(vat.get_script_stdout())
         vat.script_should_have_passed()
 
     @staticmethod
         vat.script_should_have_passed()
 
     @staticmethod